Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Static Public Member Functions
proofs::FlatSHA256Witness Class Reference

## Data Structures
struct | BlockWitness

## Static Public Member Functions
static void | transform_and_witness_block (const uint32_t in[16], const uint32_t H0[8], uint32_t outw[48], uint32_t oute[64], uint32_t outa[64], uint32_t H1[8])
static void | transform_and_witness_message (size_t n, const uint8_t msg[], size_t max, uint8_t &numb, uint8_t in[], BlockWitness bw[])

The documentation for this class was generated from the following files:

- lib/circuits/sha/flatsha256_witness.h
- lib/circuits/sha/flatsha256_witness.cc